#include <locale.h>
#include <libintl.h>
#include <stdio.h>
char *pcurrency(amount)
double amount;
{
	char string [512];
	struct lconv *lconv;
	lconv = localeconv();
	sprintf (string, "%s%s%.2f%s%s\n",
	lconv->p_cs_precedes ? lconv->currency_symbol : "",
	lconv->p_sep_by_space ? " " : "",
	amount,
	lconv->p_sep_by_space ? " " : "",
	lconv->p_cs_precedes ? "" : lconv->currency_symbol );
	return (string);
}
main()
{
  double amount;
  setlocale(LC_ALL, "");
  scanf("%lf", &amount);
  printf("%s\n", pcurrency(amount));
}
